require "db/mongo/models/server"
require "lib/executors/server_executor/server_operation_result"

module Devops
  module Exception
    class ServerOperationError < StandardError

      def initialize msg
        super error_message(msg)
      end

      def operation_type
      end

      def error_code
      end

      def error_message msg
        msg
      end

    end
  end
end

